#include "Vector.h"
class Matrix{
  private:
    Vector *data;
    int elnum;
    Matrix(const Matrix&); // nem engedjük használni
    const Matrix &operator=(const Matrix&);
  public:
//    Matrix(){elnum=0;data=NULL;} ezt sem!
    ~Matrix(){delete[] data;}
    int size()const {return elnum;}
    Vector & operator[] (int n) {return data[n];}
    const Vector & operator[] (int n) const {return data[n];}
    explicit Matrix(int n, int m) //Egyetlen ctor
    {
        elnum = n;
        data = new Vector[elnum];
        for(int i=0; i<elnum; ++i)
            data[i]=Vector(m);
    }
};
