#include<cstdio>
class Vector{
  private:
    double *data;
    int elnum;
  public:
    Vector(){elnum=0;data=NULL;}
    ~Vector(){delete[] data;}
    Vector(const Vector&other) // most épp nem használjuk, de legyen
    {
        data=NULL;
        *this=other;
    }
    const Vector &operator=(const Vector&other) // ezt viszont matrixban igen!
    {
        if(this!=&other) // s1=s1 is működjön
        {
            delete[] data;
            elnum=other.elnum;
            data=new double[elnum];
            int i;
            for(i=0;i<elnum;++i)
                data[i]=other.data[i];
        }
        return *this;
    }
    void clear(){delete[] data; elnum=0; data=NULL;}
    void insert(int pos, const double &val);
    void push_back(const double &val){insert(elnum,val);}
    void erase(int pos);
    void pop_back(){erase(elnum-1);}
    int size()const {return elnum;}
    double & operator[] (int n) {return data[n];}
    const double & operator[] (int n) const {return data[n];}
    explicit Vector(int s){elnum=s;data=new double[elnum];}
};
